.. currentmodule:: sardana.pool.poolmeasurementgroup

:mod:`~sardana.pool.poolmeasurementgroup`
=========================================

.. automodule:: sardana.pool.poolmeasurementgroup

.. rubric:: Functions

.. hlist::
    :columns: 3

    * :func:`build_measurement_configuration`

.. rubric:: Classes

.. hlist::
    :columns: 3

    * :class:`PoolMeasurementGroup`
    * :class:`ConfigurationItem`
    * :class:`ControllerConfiguration`
    * :class:`TimerableControllerConfiguration`
    * :class:`ExternalControllerConfiguration`
    * :class:`ChannelConfiguration`
    * :class:`SynchronizerConfiguration`
    * :class:`MeasurementConfiguration`

.. autofunction:: build_measurement_configuration

PoolMeasurementGroup
--------------------

.. inheritance-diagram:: PoolMeasurementGroup
    :parts: 1

.. autoclass:: PoolMeasurementGroup
    :show-inheritance:
    :members:
    :undoc-members:

ConfigurationItem
-----------------

.. inheritance-diagram:: ConfigurationItem
    :parts: 1

.. autoclass:: ConfigurationItem
    :show-inheritance:
    :members:
    :undoc-members:

ControllerConfiguration
-----------------------

.. inheritance-diagram:: ControllerConfiguration
    :parts: 1

.. autoclass:: ControllerConfiguration
    :show-inheritance:
    :members:
    :undoc-members:

TimerableControllerConfiguration
--------------------------------

.. inheritance-diagram:: TimerableControllerConfiguration
    :parts: 1

.. autoclass:: TimerableControllerConfiguration
    :show-inheritance:
    :members:
    :undoc-members:

ExternalControllerConfiguration
-------------------------------

.. inheritance-diagram:: ExternalControllerConfiguration
    :parts: 1

.. autoclass:: ExternalControllerConfiguration
    :show-inheritance:
    :members:
    :undoc-members:

ChannelConfiguration
--------------------

.. inheritance-diagram:: ChannelConfiguration
    :parts: 1

.. autoclass:: ChannelConfiguration
    :show-inheritance:
    :members:
    :undoc-members:

SynchronizerConfiguration
-------------------------

.. inheritance-diagram:: SynchronizerConfiguration
    :parts: 1

.. autoclass:: SynchronizerConfiguration
    :show-inheritance:
    :members:
    :undoc-members:

MeasurementConfiguration
------------------------

.. inheritance-diagram:: MeasurementConfiguration
    :parts: 1

.. autoclass:: MeasurementConfiguration
    :show-inheritance:
    :members:
    :undoc-members:
